GET
GET https://api.hivemoderation.com/api/v1/appeals/status/<APPEAL_ID>
Get the status of an appeal given the appeal_id.
cURL
curl -X GET https://api.hivemoderation.com/api/v1/appeals/status/appeal_id_123
There are no required headers.
Parameter Type Required Description appeal_idstring Yes Unique identifier for the created appeal.
Field Type Always Returned Description appeal_idstring Yes Unique identifier for the created appeal. appeal.appeal_statusstring Yes The status of the appeal, which is either "In Review" or "Reviewed". appeal.appeal_judgmentobject No An object that provides information about the current appeal judgment, if any. original_decisionobject Yes An object that provides information about the original judgment decision, if any.
Returned when at least one judgment has been made.
Field Type Always Returned Description action_idstring No Unique identifier for the action taken. action_namestring No Name of the action on Moderation Dashboard. action_reasonsarray No List of reasons for the action taken, if any. overturnedboolean No Returns whether a final judgment overturns or upholds a prior judgment.
Always returned. If no decision has been made, an empty object {} will be returned.
Field Type Always Returned Description action_id string Yes Unique identifier for the action taken. display_name string Yes Name of the action on Moderation Dashboard. action_reasons string No List of reasons for the action taken, if any.
JSON
{
"appeal_id": "appeal_id_123",
"appeal": {
"appeal_status": "In Review"
},
"original_decision": {
"action_id": "action_id_123",
"display_name": "Your Action Name",
}
}
JSON
{
"appeal_id": "appeal_id_123",
"appeal": {
"appeal_status": "Reviewed",
"appeal_judgment": {
"overturned": true
}
},
"original_decision": {
"action_id": "action_id_123",
"display_name": "Your Action Name",
}
}
JSON
{
"error": true,
"status": 400,
"error_code": "INVALID_APPEAL",
"message": "This appeal does not exist",
"show_alert": false
}
Status Code Error Code Description 400 INVALID_APPEAL Invalid appeal_id.